%define name wally
%define oname kde4-wally
%define version 2.4
%define release %mkrel 1

Summary:	Qt4 wallpaper changer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://www.becrux.com
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel cmake
BuildRequires:	desktop-file-utils
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Conflicts:	%{oname}


%description
Wally is a Qt4 wallpaper changer, using multiple sources like files,
folders, FTP remote folders, Flickr, Yahoo!, Panoramio, Pikeo, Ipernity,
Photobucket, Buzznet, Picasa, Smugmug, Bing, Google, Vladstudio and 
deviantART images. It runs under Linux, Win32, MacOSX and OS/2, and it's
available in many languages.

Supported Window Managers:
- Win32
- MacOSX (using OSA scripts)
- KDE3
- KDE4 (using WallyPlugin)
- Gnome
- XFCE4
- Fluxbox
- Blackbox
- FVWM (unstable)
- WindowMaker

This version NOT for KDE 4. Please install kde4-wally for KDE 4 desktops!


%prep
%setup -q -n %{name}-%{version}

%build
rm -rf build

%cmake 

%make

%install
rm -Rf %{buildroot}
%makeinstall_std -C build

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 res/images/%{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Wally
Comment=A Qt4 wallpaper changer using multiple sources
Exec=%{name}
Icon=%{name}
Categories=Utility;Qt;DesktopSettings;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root,-)
%doc DISCLAIMER README.shortcuts README.XFCE4 LICENSE
%{_bindir}/%{name}
%exclude %{_datadir}/kde4/services/plasma-wallpaper-wallyplugin.desktop
%exclude %{_libdir}/kde4/plasma_wallpaper_wallyplugin.so
%exclude %{_datadir}/icons/oxygen/16x16/apps/wallyplugin.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Mon Aug 23 2010 Chomp <chomptheman@gmail.com> 2.4-1pclos2010
- 2.4

* Sun Oct 25 2009 Texstar <texstar at gmail.com> 2.2.0-2pclos2010
- not for KDE4

* Sat Oct 17 2009 slick50 <lxgator@gmail.com> 2.2.0-1pclos2010
- initial pkg


